query listDocuments @auth(level: USER) { 
  documents { 
    id 
    documentType 
    name
    description
    createdAt 
  } 
} 

query getDocumentById($id: UUID!) @auth(level: USER) { 
  document(id: $id) { 
    id 
    documentType 
    name
    description
    createdAt 
  } 
} 

query filterDocuments( 
  $documentType: DocumentType 
) @auth(level: USER) { 
  documents( 
    where: { 
      documentType: { eq: $documentType } 
    } 
  ) { 
    id 
    documentType 
    name
    description
    createdAt 
  } 
} 
